#
# spec file for package libdbus-1-qt3-0
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libdbus-1-qt3-0
Url:            http://www.freedesktop.org/wiki/Software/DBusBindings
%define appname libdbus-1-qt3
BuildRequires:  dbus-1-devel
BuildRequires:  qt3-devel
Version:        0.8.1
Release:        92.4
Summary:        Qt3 DBus Bindings
License:        GPL-2.0+
Group:          Development/Libraries/C and C++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{appname}-%{version}.tar.bz2
Source1:        baselibs.conf
Patch1:         fix_ifdef.patch
Patch2:         r785103.patch
Patch3:         r795238.patch
Patch4:         fix_circular_destructor.patch
Patch5:         gentoo-140659d46b44b18c311d8d6f0cb7c96cbc43c6b5.patch
Patch6:         gentoo-5d2ce844509819ff37b0389131d5adacd5c6d2e6.patch

%description
This library provides Qt3-classes for accessing the DBus

%package devel
Summary:        Development files for libdbus-1-qt3
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}
Requires:       dbus-1-devel
Requires:       qt3-devel

%description devel
This library provides Qt3-classes for accessing the DBus.

This package holds the development files for libdbus-1-qt3.

%package -n dbusxml2qt3
Summary:        Generate Qt3-classes from DBus-introspection data
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}

%description -n dbusxml2qt3
dbusxml2qt3 allows to generate Qt3-classes from DBus-introspection data

%prep
%setup -n %{appname}-%{version} -q
%patch1
%patch2 -p1
%patch3 -p0
%patch4 -p0
%patch5 -p3
%patch6 -p3

%build
export QTDIR=/usr/lib/qt3
export PATH=$PATH:$QTDIR/bin
%configure --disable-static --with-pic --with-qt-dir=$QTDIR
%{__make} %{?jobs:-j%jobs}
cd tools/dbusxml2qt3
qmake
%{__make} %{?jobs:-j%jobs}

%install
make install DESTDIR=$RPM_BUILD_ROOT
install -D -m 0755 ./tools/dbusxml2qt3/dbusxml2qt3 $RPM_BUILD_ROOT%{_bindir}/dbusxml2qt3
%{__rm} -f %{buildroot}%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog COPYING INSTALL
%{_libdir}/libdbus-1-qt3.so.0
%{_libdir}/libdbus-1-qt3.so.0.8.1

%files devel
%defattr(-,root,root)
%{_libdir}/libdbus-1-qt3.so
%dir %{_includedir}/dbus-1.0/qt3
%dir %{_includedir}/dbus-1.0/qt3/dbus
%{_includedir}/dbus-1.0/qt3/dbus/qdbusconnection.h
%{_includedir}/dbus-1.0/qt3/dbus/qdbusdata.h
%{_includedir}/dbus-1.0/qt3/dbus/qdbusdataconverter.h
%{_includedir}/dbus-1.0/qt3/dbus/qdbusdatalist.h
%{_includedir}/dbus-1.0/qt3/dbus/qdbusdatamap.h
%{_includedir}/dbus-1.0/qt3/dbus/qdbuserror.h
%{_includedir}/dbus-1.0/qt3/dbus/qdbusmacros.h
%{_includedir}/dbus-1.0/qt3/dbus/qdbusmessage.h
%{_includedir}/dbus-1.0/qt3/dbus/qdbusobject.h
%{_includedir}/dbus-1.0/qt3/dbus/qdbusobjectpath.h
%{_includedir}/dbus-1.0/qt3/dbus/qdbusproxy.h
%{_includedir}/dbus-1.0/qt3/dbus/qdbusvariant.h
%{_libdir}/pkgconfig/dbus-1-qt3.pc

%files -n dbusxml2qt3
%defattr(-,root,root)
%{_bindir}/dbusxml2qt3

%changelog
* Tue Jul  3 2012 coolo@suse.com
- add -32bit lib for kdebase3 to use
* Wed May 30 2012 anixx@opensuse.org
- add patch by Serghei Amelian that fixes a bug that prevents
  udisks integration
* Wed Apr 11 2012 anixx@opensuse.org
- add a patch to fix a bug with incorrectly de-marshalling arrays
  of objectpath by Serghei Amelian
* Tue Mar 13 2012 anixx@opensuse.org
- specify QTDIR explicitely, cleanup
* Fri Mar  6 2009 crrodriguez@suse.de
- remove static libraries and "la" files
* Thu May  8 2008 hschaa@suse.de
- Add fix_circular_destructor.patch which fixes a crash in the
  generated objects
* Wed Apr  9 2008 hschaa@suse.de
- Update to SVN revision 795238 which fixes some issues with KNM
* Thu Mar 13 2008 hschaa@suse.de
- Update to 0.8.1 + SVN revision 785103
- Remove BRANCH_UPDATE.diff
- Add r785103.patch
* Fri Feb  8 2008 dmueller@suse.de
- also allow building on s390/s390x
* Fri Jan 11 2008 hschaa@suse.de
- add ifdefs to qdbusobjectpath.h (fix_ifdef.patch)
* Wed Jan  9 2008 dmueller@suse.de
- fix generation of nm introspection (branch update)
* Mon Dec 17 2007 dmueller@suse.de
- include bugfixes from SVN
* Wed Dec 12 2007 hschaa@suse.de
- Added packages to PDB
* Fri Nov 30 2007 hschaa@suse.de
- Initial checkin
